# Get account application Get account application given application ID in the path. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Accounts", "description": "Endpoints to manage accounts" } ], "components": { "parameters": { "ApplicationIdPath": { "name": "applicationId", "in": "path", "description": "Application ID", "required": true, "schema": { "type": "integer", "format": "int64", "example": 12345 } } }, "schemas": { "AcquisitionChannelID": { "type": "integer", "format": "int64", "description": "Application's acquisition channel ID. An acquisition channel is how a customer was referred to the site, such as through a web app or mobile app.\n\nYou can call [List acquistion channels](https://developers.pismo.io/pismo-docs/reference/get-acquisitions-v2-programs-programid-channels) to find channels registered for your account.\n", "example": 111 }, "ApplicationForm": { "type": "object", "description": "Key/value field that contains all fields from the application form.\nThis data can be used to verify the application form during onboarding. It should not be used to obtain data after the account is approved.\nAfter the final status of the application form (such as `APPROVED` or `CANCELLED`), this data is kept as read-only and is not updated.\n", "example": { "id": 1234, "submit": true, "applicant": { "entity": { "name": "John Doe", "entity_type": "PERSON", "document_number": "31384509038" }, "account": { "email": "johndoe@test.com", "limit": 50000 }, "customer": { "nickname": "John", "social_name": "John Doe", "printed_name": "John Doe" } } } }, "ApplicationIdNonchecking": { "type": "integer", "format": "int64", "description": "Application form ID (non-checking accounts only)", "example": 1234 }, "ApplicationsResponse": { "type": "object", "description": "Applications information", "required": [ "application_id", "program_due_date_id", "program_id", "acquisition_channel_id", "created_at", "application_status", "application_status_name", "application_form" ], "properties": { "application_id": { "$ref": "#/components/schemas/ApplicationIdNonchecking" }, "program_due_date_id": { "$ref": "#/components/schemas/ProgramDueDateID" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "acquisition_channel_id": { "$ref": "#/components/schemas/AcquisitionChannelID" }, "created_at": { "$ref": "#/components/schemas/CreatedAt" }, "application_status": { "$ref": "#/components/schemas/ApplicationStatusNonchecking" }, "application_status_name": { "$ref": "#/components/schemas/ApplicationStatusNameNonchecking" }, "application_form": { "$ref": "#/components/schemas/ApplicationForm" } } }, "ApplicationStatusNameNonchecking": { "type": "string", "description": "Application status. Most likely to be\n* `REGISTERED` - Application was saved, but not started processing yet.\n* `APPROVED` - Application has finished processing.\n* `PROSPECT` - Application was created with `submit` = `false`.\n", "example": "APPROVED" }, "ApplicationStatusNonchecking": { "type": "number", "description": "Application status, according to the status mapping (non-checking accounts only).", "example": 4 }, "CreatedAt": { "type": "string", "description": "Date application was created. RFC 3339 format.", "example": "2021-06-08T10:46:54.000Z" }, "ProgramDueDateID": { "type": "integer", "format": "int64", "description": "ID of Program due date", "example": 1234 }, "ProgramID": { "type": "integer", "format": "int64", "description": "Program ID", "example": 12345 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/acquisitions/v2/s2s/applications/{applicationId}": { "get": { "operationId": "GetApplicationByApplicationId", "summary": "Get account application", "description": "Get account application given application ID in the path.", "tags": [ "Accounts" ], "parameters": [ { "$ref": "#/components/parameters/ApplicationIdPath" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApplicationsResponse" } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "properties": { "message": { "type": "string", "example": "Application not found" } } } } } }, "500": { "description": "500", "content": { "text/plain": { "examples": { "Result": { "value": "Internal server error" } } } } } } } } } } ```